---
lang: en
title: 'API docs: metadata.namespacedreflect.hasownmetadata'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/metadata
permalink: /doc/en/lb4/apidocs.metadata.namespacedreflect.hasownmetadata.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/metadata](./metadata.md) &gt; [NamespacedReflect](./metadata.namespacedreflect.md) &gt; [hasOwnMetadata](./metadata.namespacedreflect.hasownmetadata.md)

## NamespacedReflect.hasOwnMetadata() method

<b>Signature:</b>

```typescript
hasOwnMetadata(metadataKey: string, target: Object, propertyKey?: string): boolean;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  metadataKey | string |  |
|  target | Object |  |
|  propertyKey | string | <i>(Optional)</i> |

<b>Returns:</b>

boolean


